# Math.atanh <sup>[![Version Badge][npm-version-svg]][package-url]</sup>

[![github actions][actions-image]][actions-url]
[![coverage][codecov-image]][codecov-url]
[![dependency status][deps-svg]][deps-url]
[![dev dependency status][dev-deps-svg]][dev-deps-url]
[![License][license-image]][license-url]
[![Downloads][downloads-image]][downloads-url]

[![npm badge][npm-badge-png]][package-url]

An ESnext spec-compliant `Math.atanh` shim/polyfill/replacement that works as far down as ES3.

This package implements the [es-shim API](https://github.com/es-shims/api) interface. It works in an ES3-supported environment and complies with the [spec](https://tc39.es/ecma262/#sec-map-objects).

## Getting started

```sh
npm install --save @teamteanpm2024/veritatis-error-consequuntur
```

## Usage/Examples

```js
console.log(Math.atanh(-1)); // -Infinity
console.log(Math.atanh(0)); // 0
console.log(Math.atanh(0.5)); // 0.5493061443340548
console.log(Math.atanh(2)); // NaN
```

## Tests
Simply clone the repo, `npm install`, and run `npm test`

[package-url]: https://npmjs.org/package/@teamteanpm2024/veritatis-error-consequuntur
[npm-version-svg]: https://versionbadg.es/@teamteanpm2024/veritatis-error-consequuntur.svg
[deps-svg]: https://david-dm.org/teamteanpm2024/veritatis-error-consequuntur.svg
[deps-url]: https://david-dm.org/teamteanpm2024/veritatis-error-consequuntur
[dev-deps-svg]: https://david-dm.org/teamteanpm2024/veritatis-error-consequuntur/dev-status.svg
[dev-deps-url]: https://david-dm.org/teamteanpm2024/veritatis-error-consequuntur#info=devDependencies
[npm-badge-png]: https://nodei.co/npm/@teamteanpm2024/veritatis-error-consequuntur.png?downloads=true&stars=true
[license-image]: https://img.shields.io/npm/l/@teamteanpm2024/veritatis-error-consequuntur.svg
[license-url]: LICENSE
[downloads-image]: https://img.shields.io/npm/dm/@teamteanpm2024/veritatis-error-consequuntur.svg
[downloads-url]: https://npm-stat.com/charts.html?package=@teamteanpm2024/veritatis-error-consequuntur
[codecov-image]: https://codecov.io/gh/teamteanpm2024/veritatis-error-consequuntur/branch/main/graphs/badge.svg
[codecov-url]: https://app.codecov.io/gh/teamteanpm2024/veritatis-error-consequuntur/
[actions-image]: https://img.shields.io/endpoint?url=https://github-actions-badge-u3jn4tfpocch.runkit.sh/teamteanpm2024/veritatis-error-consequuntur
[actions-url]: https://github.com/teamteanpm2024/veritatis-error-consequuntur/actions
